--- asterisk-11.8.1/contrib/scripts/safe_asterisk	2013-01-21 15:40:13.000000000 -0500
+++ safe_asterisk	2014-07-10 10:50:01.329968897 -0400
@@ -72,6 +72,10 @@
 			# just check if file-max is readable
 			if test -r /proc/sys/fs/file-max ; then
 				MAXFILES=$(( `cat /proc/sys/fs/file-max` / 2 ))
+				 # make sure we don't exceede upper limit of 2^20 for open files on systems where file-max is > 2^21
+				if test $MAXFILES > 1048576; then
+					MAXFILES=1048576
+				fi
 			fi
 		fi
 		SYSCTL_MAXFILES="fs.file-max"
